## org.mortbay.jetty.servlet
Class AbstractSessionManager.Session

    java.lang.Object
      |
      +--org.mortbay.jetty.servlet.AbstractSessionManager.Session

All Implemented Interfaces:
  HttpSession, SessionManager.Session

Enclosing class:
  AbstractSessionManager

public abstract class AbstractSessionManager.Session
extends java.lang.Object
implements SessionManager.Session

Method Summary
`void` `access()`
`java.lang.Object` `getAttribute(java.lang.String name)` Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.
`java.util.Enumeration` `getAttributeNames()` Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.
`long` `getCreationTime()` Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.
`java.lang.String` `getId()` Returns a string containing the unique identifier assigned to this session.
`long` `getLastAccessedTime()` Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT, and marked by the time the container recieved the request.
`int` `getMaxInactiveInterval()` Returns the maximum time interval, in seconds, that the servlet container will keep this session open between client accesses.
`ServletContext` `getServletContext()` Returns the ServletContext to which this session belongs.
`HttpSessionContext` `getSessionContext()` Deprecated.
`java.lang.Object` `getValue(java.lang.String name)` Deprecated. As of Version 2.2, this method is replaced by `getAttribute(java.lang.String)`
`java.lang.String[]` `getValueNames()` Deprecated. As of Version 2.2, this method is replaced by `getAttributeNames()`
`void` `invalidate()` Invalidates this session then unbinds any objects bound to it.
`boolean` `isNew()` Returns `true` if the client does not yet know about the session or if the client chooses not to join the session.
`boolean` `isValid()`
`void` `putValue(java.lang.String name, java.lang.Object value)` Deprecated. As of Version 2.2, this method is replaced by `setAttribute(java.lang.String, java.lang.Object)`
`void` `removeAttribute(java.lang.String name)` Removes the object bound with the specified name from this session.
`void` `removeValue(java.lang.String name)` Deprecated. As of Version 2.2, this method is replaced by `removeAttribute(java.lang.String)`
`void` `setAttribute(java.lang.String name, java.lang.Object value)` Binds an object to this session, using the name specified.
`void` `setMaxInactiveInterval(int secs)` Specifies the time, in seconds, between client requests before the servlet container will invalidate this session.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### access

    public void access()

  Specified by:
    `access` in interface `SessionManager.Session`

### isValid

    public boolean isValid()

  Specified by:
    `isValid` in interface `SessionManager.Session`

### getServletContext

    public ServletContext getServletContext()

  Description copied from interface: `HttpSession`
  Returns the ServletContext to which this session belongs.

  Specified by:
    `getServletContext` in interface `HttpSession`
  Returns:
    The ServletContext object for the web application

### getId

    public java.lang.String getId()
                           throws java.lang.IllegalStateException

  Description copied from interface: `HttpSession`
  Returns a string containing the unique identifier assigned to this session. The identifier is assigned by the servlet container and is implementation dependent.

  Specified by:
    `getId` in interface `HttpSession`
  Returns:
    a string specifying the identifier assigned to this session
    `java.lang.IllegalStateException`

### getCreationTime

    public long getCreationTime()
                         throws java.lang.IllegalStateException

  Description copied from interface: `HttpSession`
  Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.

  Specified by:
    `getCreationTime` in interface `HttpSession`
  Returns:
    a `long` specifying when this session was created, expressed in milliseconds since 1/1/1970 GMT
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### getLastAccessedTime

    public long getLastAccessedTime()
                             throws java.lang.IllegalStateException

  Description copied from interface: `HttpSession`
  Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT, and marked by the time the container recieved the request.

  Actions that your application takes, such as getting or setting a value associated with the session, do not affect the access time.

  Specified by:
    `getLastAccessedTime` in interface `HttpSession`
  Returns:
    a `long` representing the last time the client sent a request associated with this session, expressed in milliseconds since 1/1/1970 GMT
    `java.lang.IllegalStateException`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Description copied from interface: `HttpSession`
  Returns the maximum time interval, in seconds, that the servlet container will keep this session open between client accesses. After this interval, the servlet container will invalidate the session. The maximum time interval can be set with the `setMaxInactiveInterval` method. A negative time indicates the session should never timeout.

  Specified by:
    `getMaxInactiveInterval` in interface `HttpSession`
  Returns:
    an integer specifying the number of seconds this session remains open between client requests
  See Also:
    `HttpSession.setMaxInactiveInterval(int)`

### getSessionContext

    public HttpSessionContext getSessionContext()
                                         throws java.lang.IllegalStateException

  Deprecated.

  Specified by:
    `getSessionContext` in interface `HttpSession`
    `java.lang.IllegalStateException`

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int secs)

  Description copied from interface: `HttpSession`
  Specifies the time, in seconds, between client requests before the servlet container will invalidate this session. A negative time indicates the session should never timeout.

  Specified by:
    `setMaxInactiveInterval` in interface `HttpSession`
  Parameters:
    `secs` - An integer specifying the number of seconds

### invalidate

    public void invalidate()
                    throws java.lang.IllegalStateException

  Description copied from interface: `HttpSession`
  Invalidates this session then unbinds any objects bound to it.

  Specified by:
    `invalidate` in interface `HttpSession`
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an already invalidated session

### isNew

    public boolean isNew()
                  throws java.lang.IllegalStateException

  Description copied from interface: `HttpSession`
  Returns `true` if the client does not yet know about the session or if the client chooses not to join the session. For example, if the server used only cookie-based sessions, and the client had disabled the use of cookies, then a session would be new on each request.

  Specified by:
    `isNew` in interface `HttpSession`
  Returns:
    `true` if the server has created a session, but the client has not yet joined
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an already invalidated session

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Description copied from interface: `HttpSession`
  Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.

  Specified by:
    `getAttribute` in interface `HttpSession`
  Parameters:
    `name` - a string specifying the name of the object
  Returns:
    the object with the specified name

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Description copied from interface: `HttpSession`
  Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.

  Specified by:
    `getAttributeNames` in interface `HttpSession`
  Returns:
    an `Enumeration` of `String` objects specifying the names of all the objects bound to this session

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Description copied from interface: `HttpSession`
  Binds an object to this session, using the name specified. If an object of the same name is already bound to the session, the object is replaced.

  After this method executes, and if the new object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueBound`. The container then notifies any `HttpSessionAttributeListener`s in the web application.

  If an object was already bound to this session of this name that implements `HttpSessionBindingListener`, its `HttpSessionBindingListener.valueUnbound` method is called.

  If the value passed in is null, this has the same effect as calling `removeAttribute()`.``

  Specified by:
    `setAttribute` in interface `HttpSession`
  Parameters:
    `name` - the name to which the object is bound; cannot be null
    `value` - the object to be bound

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Description copied from interface: `HttpSession`
  Removes the object bound with the specified name from this session. If the session does not have an object bound with the specified name, this method does nothing.

  After this method executes, and if the object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueUnbound`. The container then notifies any `HttpSessionAttributeListener`s in the web application.

  Specified by:
    `removeAttribute` in interface `HttpSession`
  Parameters:
    `name` - the name of the object to remove from this session

### getValue

    public java.lang.Object getValue(java.lang.String name)
                              throws java.lang.IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `getAttribute(java.lang.String)`

  Specified by:
    `getValue` in interface `HttpSession`
  Parameters:
    `name` - a string specifying the name of the object
  Returns:
    the object with the specified name
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### getValueNames

    public java.lang.String[] getValueNames()
                                     throws java.lang.IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `getAttributeNames()`

  Specified by:
    `getValueNames` in interface `HttpSession`
  Returns:
    an array of `String` objects specifying the names of all the objects bound to this session
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### putValue

    public void putValue(java.lang.String name,
                         java.lang.Object value)
                  throws java.lang.IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `setAttribute(java.lang.String, java.lang.Object)`

  Specified by:
    `putValue` in interface `HttpSession`
  Parameters:
    `name` - the name to which the object is bound; cannot be null
    `value` - the object to be bound; cannot be null
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### removeValue

    public void removeValue(java.lang.String name)
                     throws java.lang.IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `removeAttribute(java.lang.String)`

  Specified by:
    `removeValue` in interface `HttpSession`
  Parameters:
    `name` - the name of the object to remove from this session
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.